xine-lib: xine-lib-1.2.12/src/post/goom/config_param.c File Reference

xine-lib 1.2.12

Functions
config_param.c File Reference
`#include "goom_config_param.h"`
`#include <string.h>`

## Functions
static void | empty_fct (PluginParam *dummy)
static PluginParam | secure_param ()
PluginParam | goom_secure_f_param (const char *name)
PluginParam | goom_secure_f_feedback (const char *name)
PluginParam | goom_secure_s_param (const char *name)
PluginParam | goom_secure_b_param (const char *name, int value)
PluginParam | goom_secure_i_param (const char *name)
PluginParam | goom_secure_i_feedback (const char *name)
PluginParameters | goom_plugin_parameters (const char *name, int nb)
void | goom_set_str_param_value (PluginParam *p, const char *str)
void | goom_set_list_param_value (PluginParam *p, const char *str)

## Function Documentation

## ◆ empty_fct()

static void empty_fct | ( | PluginParam * | dummy | ) |
| static

Referenced by secure_param().

## ◆ goom_plugin_parameters()

PluginParameters goom_plugin_parameters | ( | const char * | name,
|  | int | nb
| ) |  |

References _PARAMETERS::desc, _PARAMETERS::name, name, _PARAMETERS::nbParams, and _PARAMETERS::params.

## ◆ goom_secure_b_param()

PluginParam goom_secure_b_param | ( | const char * | name,
|  | int | value
| ) |  |

References BVAL, _PARAM::name, name, PARAM_BOOLVAL, secure_param(), and _PARAM::type.

## ◆ goom_secure_f_feedback()

PluginParam goom_secure_f_feedback | ( | const char * | name | ) |

References name, _PARAM::rw, and secure_f_param.

## ◆ goom_secure_f_param()

PluginParam goom_secure_f_param | ( | const char * | name | ) |

References FMAX, FMIN, FSTEP, FVAL, _PARAM::name, name, PARAM_FLOATVAL, secure_param(), and _PARAM::type.

## ◆ goom_secure_i_feedback()

PluginParam goom_secure_i_feedback | ( | const char * | name | ) |

References name, _PARAM::rw, and secure_i_param.

## ◆ goom_secure_i_param()

PluginParam goom_secure_i_param | ( | const char * | name | ) |

References IMAX, IMIN, ISTEP, IVAL, _PARAM::name, name, PARAM_INTVAL, secure_param(), and _PARAM::type.

## ◆ goom_secure_s_param()

PluginParam goom_secure_s_param | ( | const char * | name | ) |

References _PARAM::name, name, PARAM_STRVAL, secure_param(), SVAL, and _PARAM::type.

## ◆ goom_set_list_param_value()

void goom_set_list_param_value | ( | PluginParam * | p,
|  | const char * | str
| ) |  |

References LVAL.

## ◆ goom_set_str_param_value()

void goom_set_str_param_value | ( | PluginParam * | p,
|  | const char * | str
| ) |  |

References SVAL.

## ◆ secure_param()

static PluginParam secure_param | ( |  | ) |
| static

References _PARAM::changed, and empty_fct().

Referenced by goom_secure_b_param(), goom_secure_f_param(), goom_secure_i_param(), and goom_secure_s_param().